#include <cstdio>
using namespace std;
int main()
{
    int T,n,a,b;
    scanf("%d",&T);
    while(T--)
    {
        long long sum=0;
        scanf("%d",&n);
        while(n--)
            scanf("%d%d",&a,&b),sum+=a*b;
        printf("%lld\n",sum);
    }
    return 0;
}
